# Changelog

## 2025-06-19 - 2.3.0 - feat(bundler)
Integrate rolldown bundler support and update bundler selection logic

- Added rolldown dependency to package.json
- Extended ICliOptions to include 'rolldown' as a valid bundler option
- Created ts/mod_rolldown module with buildTest and buildProduction implementations
- Updated getBundlerPath in tsbundle.class.tsbundle.ts to route to new rolldown module
- Revised readme and hints documentation for rolldown usage

## 2025-01-29 - 2.2.5 - fix(mod_assets)
Fix async handling in asset processing

- Ensured that the empty directory operation is awaited in the asset processing workflow.

## 2025-01-29 - 2.2.4 - fix(mod_assets)
Fix logging message in ensureAssetsDir to correctly state when directory is created

- Corrected logging output in ensureAssetsDir method to indicate directory creation.

## 2025-01-29 - 2.2.3 - fix(mod_assets)
Fix issue with asset directory copy

- Updated dependency '@push.rocks/smartfile' to version '^11.2.0'
- Ensure target directory is properly replaced when copying assets

## 2025-01-29 - 2.2.2 - fix(dependencies)
Update smartfile dependency and fix spacing issue in assets module

- Updated @push.rocks/smartfile from ^11.1.6 to ^11.1.8
- Fixed a spacing issue in the processAssets function within the assets module

## 2025-01-29 - 2.2.1 - fix(index)
Export mod_assets for programmatic use

- Added export for mod_assets/index in ts/index.ts to make it usable programmatically.

## 2025-01-29 - 2.2.0 - feat(AssetsHandler)
Add asset handling to the CLI workflow

- Introduced AssetsHandler class for managing asset directories and files.
- Updated tsbundle.cli.ts to include asset processing in the 'website' command.

## 2025-01-28 - 2.1.1 - fix(core)
Update dependencies and remove GitLab CI configuration.

- Updated several devDependencies to newer versions for improved stability and performance.
- Updated core dependencies including esbuild and TypeScript.
- Removed the .gitlab-ci.yml file, which could suggest a change in continuous integration setup.

## 2024-10-27 - 2.1.0 - feat(mod_esbuild)
Add alias support to esbuild bundling process

- Updated dependencies in package.json to latest versions.
- Improved build process by adding alias resolution based on tsconfig.json settings in esbuild.

## 2022-05-04 - 2.0.0-2.0.1 - Breaking and Fix Changes
Released version 2.0.0 with breaking changes and subsequent fixes.

- BREAKING CHANGE(core): Removed parcel and rollup
- fix(core): Addressed initial issues in new major version

## 2023-10-03 - 2.0.10 - Fix Updates
Ongoing updates and improvements.

- fix(core): General updates and enhancements

## 2024-01-10 - 2.0.11-2.0.15 - Minor Fixes
Cumulative fixes and updates from recent releases.

- fix(core): Continuous improvement cycle across versions

